Library Version 18.1.40

DbEnv::get_lg_bsize()
Prev | Chapter 8. The DbLsn Handle | Next

## DbEnv::get_lg_bsize()

    #include <db_cxx.h>

    int
    DbEnv::get_lg_bsize(u_int32_t *lg_bsizep);

The `DbEnv::get_lg_bsize()` method returns the size of the log buffer, in bytes. You can manage this value using the DbEnv::set_lg_bsize() method.

The `DbEnv::get_lg_bsize()` method may be called at any time during the life of the application.

The `DbEnv::get_lg_bsize()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### lg_bsizep

The `DbEnv::get_lg_bsize()` method returns the size of the log buffer, in bytes in lg_bsizep.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods, DbEnv::set_lg_bsize()

Prev | Up | Next
Chapter 8. The DbLsn Handle | Home | DbEnv::get_lg_dir()